span.break-if-narrow {
  @for $i from 25 through 41 {
    @each $bound, $rest, $class in (min 1 narrow, max 0 cancel) {
      @media #{'screen and (' + $bound + '-width: ' + $i + $rest + 'px)'} {
        &.#{$class}-#{$i}0px {
          display: none;
        }
      }
    }
  }

  &.hyphen::before {
    display: inline;
    content: '-';
  }

  @media print {
    display: none !important;
  }
}
